gws.base.ows.server.error¶
OWS exceptions.
Source code: gws.base.ows.server.error
Module Contents¶
- exception gws.base.ows.server.error.BadRequest(*args)¶
Bases:
ErrorThe request is invalid (HTTP 400).
- exception gws.base.ows.server.error.CannotLockAllFeatures(*args)¶
Bases:
ErrorNot all requested features could be locked.
- exception gws.base.ows.server.error.CurrentUpdateSequence(*args)¶
Bases:
ErrorThe update sequence equals the current one.
- exception gws.base.ows.server.error.DuplicateStoredQueryIdValue(*args)¶
Bases:
ErrorA stored query with this id already exists.
- exception gws.base.ows.server.error.DuplicateStoredQueryParameterName(*args)¶
Bases:
ErrorA stored query parameter name is used more than once.
- exception gws.base.ows.server.error.Error(*args)¶
Bases:
gws.ErrorOWS error.
The class name is used as the OWS exception code. The HTTP status is derived from the code, 400 by default.
- code = 'Error'¶
- locator¶
- message¶
- status¶
- to_image_response(mime_type='image/png') gws.ContentResponse¶
Create an image response for this error.
The image is a single error pixel.
- Parameters:
mime_type – Image mime type.
- Returns:
The image response.
- to_xml_response(xmlns='ows') gws.ContentResponse¶
Create an XML response for this error.
- Parameters:
xmlns – Format to use:
owsfor an OWSExceptionReport,ogcfor an OGCServiceExceptionReport.- Returns:
The XML response.
- Raises:
gws.Error – If
xmlnsis invalid.
- exception gws.base.ows.server.error.FeaturesNotLocked(*args)¶
Bases:
ErrorThe features to modify are not locked.
- exception gws.base.ows.server.error.Forbidden(*args)¶
Bases:
ErrorAccess to the requested resource is forbidden (HTTP 403).
- gws.base.ows.server.error.from_exception(exc: Exception) Error¶
Convert an exception to an OWS error.
gws.NotFoundError,gws.ForbiddenErrorandgws.BadRequestErrorare mapped to the corresponding errors, any other exception is logged and becomesNoApplicableCode. OWS errors are returned unchanged.- Parameters:
exc – An exception.
- Returns:
The OWS error. A converted error has
excas its cause.
- exception gws.base.ows.server.error.InvalidCRS(*args)¶
Bases:
ErrorThe requested CRS is not supported.
- exception gws.base.ows.server.error.InvalidDimensionValue(*args)¶
Bases:
ErrorA dimension parameter has an invalid value.
- exception gws.base.ows.server.error.InvalidFormat(*args)¶
Bases:
ErrorThe requested format is not supported.
- exception gws.base.ows.server.error.InvalidParameterValue(*args)¶
Bases:
ErrorA parameter has an invalid value.
- exception gws.base.ows.server.error.InvalidPoint(*args)¶
Bases:
ErrorThe point coordinates are invalid.
- exception gws.base.ows.server.error.InvalidUpdateSequence(*args)¶
Bases:
ErrorThe update sequence is greater than the current one.
- exception gws.base.ows.server.error.LayerNotDefined(*args)¶
Bases:
ErrorThe requested layer does not exist.
- exception gws.base.ows.server.error.LayerNotQueryable(*args)¶
Bases:
ErrorThe requested layer cannot be queried.
- exception gws.base.ows.server.error.MissingDimensionValue(*args)¶
Bases:
ErrorA required dimension value is missing.
- exception gws.base.ows.server.error.MissingParameterValue(*args)¶
Bases:
ErrorA required parameter is missing.
- exception gws.base.ows.server.error.NoApplicableCode(*args)¶
Bases:
ErrorNo other exception code applies, e.g. an internal server error.
- exception gws.base.ows.server.error.NotFound(*args)¶
Bases:
ErrorThe requested resource was not found (HTTP 404).
- exception gws.base.ows.server.error.OperationNotSupported(*args)¶
Bases:
ErrorThe requested operation is not supported.
- exception gws.base.ows.server.error.OperationParsingFailed(*args)¶
Bases:
ErrorThe request could not be parsed.
- exception gws.base.ows.server.error.OperationProcessingFailed(*args)¶
Bases:
ErrorThe request could not be processed.
- exception gws.base.ows.server.error.OptionNotSupported(*args)¶
Bases:
ErrorThe requested option is not supported.
- exception gws.base.ows.server.error.PointIJOutOfRange(*args)¶
Bases:
ErrorThe pixel coordinates are outside the tile.
- exception gws.base.ows.server.error.ResponseCacheExpired(*args)¶
Bases:
ErrorThe cached response has expired.
- exception gws.base.ows.server.error.StyleNotDefined(*args)¶
Bases:
ErrorThe requested style does not exist.